unicon (3.0.4+dfsg1-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1098036)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 18:45:08 +0300

unicon (3.0.4+dfsg1-7) unstable; urgency=medium

  [ xiao sheng wen ]
  * d/copyright: add infos checked by lrc. (Closes: #1078221)

  [ Boyuan Yang ]
  * debian/control: Use dh-sequence-pkgkde-symbolshelper.

 -- Boyuan Yang <byang@debian.org>  Thu, 07 Nov 2024 14:33:41 -0500

unicon (3.0.4+dfsg1-6) unstable; urgency=medium

  [ xiao sheng wen ]
  * d/clean: add clean confdefs.h config.log config.cache
  * d/control: Bump Standards-Version: 4.7.0, no change needed
  * add d/p/fix-configure-gcc14.patch: partly fix ftbfs with GCC-14, see#1075605
  * update d/unicon-imc2.lintian-overrides

  [ LI Daobing ]
  * add patch for gcc14: d/p/013-gcc14.patch, 014-gcc14.patch(Closes: #1075605)

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 08 Aug 2024 18:02:54 +0800

unicon (3.0.4+dfsg1-5) unstable; urgency=medium

  * Fix "FTBFS: error: implicit declaration of function
    [-Werror=implicit-function-declaration]"
    add d/p/011-add-include-ctype.h.patch(Closes: #1066279)
  * d/copyright: update year info to 2024
  * Bump Standards-Version: 4.6.2

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 14 Mar 2024 09:45:54 +0800

unicon (3.0.4+dfsg1-4) unstable; urgency=medium

  [ NIIBE Yutaka ]
  * debian/control (Build-Depends): Remove libpth-dev, actually not used at all.
  * debian/patches/005-fix-no-pth.patch: New.
  * debian/unicon-imc2.symbols: Update.

  [ xiao sheng wen(肖盛文) ]
  * Bump Standards-Version: 4.6.0
  * d/copyright: update debian dir year info
  * d/patches: add some files for blhc check
               add @LDFLAGS@ @CPPFLAGS@ in Makefile.in

 -- xiao sheng wen <atzlinux@sina.com>  Wed, 01 Dec 2021 16:52:05 +0800

unicon (3.0.4+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Refresh library symbols.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Jan 2021 18:57:13 -0500

unicon (3.0.4+dfsg1-2) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  d/control:
    - Bump to debhelper-compat (= 13)
    - Bump Standards-Version to 4.5.1
    - New Maintainer: Debian Chinese Team
      <chinese-developers@lists.alioth.debian.org> (Closes: #629016)
    - add New Uploaders: xiao sheng wen <atzlinux@sina.com>
    - delete the chinput package from Conflicts list,
      it don't exist in Debian now.
    - add Rules-Requires-Root: binary-targets
    - update lintian overrides files
    - add Vcs-Browser: Vcs-Git:
  * d/rules:
      - use dh-sequencer
      - convert text from gb2312,ISO8859-16 character encoding to UTF-8
  * delete unused d/TODO.Debian
  * Trim trailing whitespace.
  * 001-debian-changes.patch: add Forwarded: not-needed
  * 001-debian-changes.patch: fix spelling-error
  * add 002-fix-spelling-error-xl_intcode.c.patch
  * fix lintian: package-contains-empty-directory usr/bin/
  * add unicon-imc2.symbols
  * d/copyright: use dep5-copyright

  [ Arthur Marble ]
  * Fix the FTBFS with clang (Closes: #739924)
    - Fixed return void in unicon/ImmModules/cce/inputs/tab2dat.c

  [ Michael Tautschnig ]
  * Fix PhraseLevel declared without type (Closes: #795725)

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 07 Jan 2021 23:17:06 +0800

unicon (3.0.4+dfsg1-1) unstable; urgency=medium

  * QA upload.
  * Repackage source without the following files not having
    a DFSG-compatible license. Closes: #840573.
    - unicon/ImmModules/cxterm/utils/HZutil.c
    - unicon/ImmModules/cxterm/utils/HZtable.h
    Reported by Joao Eriberto Mota Filho.
  * Switch to "3.0 (quilt)" source format. Move old debian/patches to
    debian/patches-old for reference and documentation purposes.
  * Add debian/clean with files that should not be part of source package.
  * Drop -fPIC from previous upload, it is not necessary.
    Thanks to Adrian Bunk for the report. Closes: #842098.
  * Do some clean up of debian/rules.

 -- Santiago Vila <sanvila@debian.org>  Wed, 26 Oct 2016 19:35:22 +0200

unicon (3.0.4-15) unstable; urgency=medium

  * QA upload.
  * Compile libimmclient.a with -fPIC and also use hardened CFLAGS (Closes: #837583)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 29 Sep 2016 17:21:52 +0200

unicon (3.0.4-14) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group.
  * Enable hardened build flags. (Closes: #658043).
  * Fix typo in package description. (Closes: #713900).
  * Bump Standards-Version to 3.9.5.
  * Set debhelper compatibility level to 9. Remove DH_COMPAT from
    debian/rules.
  * Add dependency on ${misc:Depends}.
  * Add missing recommended targets: build-{arch,indep}.
  * Replace deprecated usage of dh_clean -k with dh_prep.
  * Do not ignore make distclean errors.
  * Remove empty postinst script.
  * Explicitly point to /usr/share/common-licenses/GPL-2 in copyright file.

 -- Emanuele Rocca <ema@debian.org>  Thu, 20 Mar 2014 15:27:26 +0100

unicon (3.0.4-13) unstable; urgency=low

  * Depend on x11proto-core-dev instead of x-dev. (Closes:Bug515485)

 -- Yu Guanghui <ygh@debian.org>  Thu, 19 Feb 2009 20:18:32 +0800

unicon (3.0.4-12.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with gcc-4.3 by replacing obsolete headers with their modern
    versions, and by using namespace “std” when needed (Closes: #461689).
     + Add debian/patches/fix_ftbfs_with_gcc-4.3.patch

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Mon, 17 Mar 2008 05:11:19 +0100

unicon (3.0.4-12) unstable; urgency=low

  * Merged CVE-2007-2835  to unstable. (Closes:Bug#431336)

 -- Yu Guanghui <ygh@debian.org>  Mon, 06 Aug 2007 13:50:51 +0800

unicon (3.0.4-11etch1) stable-security; urgency=high

  * Non-maintainer upload by The Security Team.
  * Fix the unsafe use of environmental variables.
    [CVE-2007-2835]

 -- Steve Kemp <skx@debian.org>  Tue, 24 Jul 2007 15:02:42 +0000

unicon (3.0.4-11) unstable; urgency=low

  * Changed TLS_PthSocket ::read ::write to Read, Write.

 -- Yu Guanghui <ygh@debian.org>  Thu,  6 Jul 2006 11:15:25 +0800

unicon (3.0.4-10) unstable; urgency=low

  * fixed build process. (closes:Bug#374729)

 -- Yu Guanghui <ygh@debian.org>  Thu,  6 Jul 2006 02:10:30 +0800

unicon (3.0.4-9.2) unstable; urgency=high

  * Non-maintainer upload.
  * Splitted xlibs-dev build-dep.
  * Fixed spelling error in short description (Closes: #125445).
  * Removed empty README.Debian (Closes: #257665).
  * Removed empty postrm.

 -- Luk Claes <luk@debian.org>  Sun,  8 Jan 2006 01:13:38 +0100

unicon (3.0.4-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * C++ ABI transition (Closes: #335955).

 -- Luk Claes <luk@debian.org>  Mon,  2 Jan 2006 16:10:09 +0100

unicon (3.0.4-9) unstable; urgency=low

  * Fix gcc-3.2 compile errors. (closes:Bug#188909)

 -- Yu Guanghui <ygh@debian.org>  Thu,  8 May 2003 13:17:08 +0800

unicon (3.0.4-8) unstable; urgency=low

  * minor fixes.

 -- Yu Guanghui <ygh@debian.org>  Mon, 19 Aug 2002 18:31:39 +0800

unicon (3.0.4-7) unstable; urgency=low

  * Changed  WuBi input method from turbo to cce.

 -- Yu Guanghui <ygh@debian.org>  Sat, 11 May 2002 21:33:28 +0800

unicon (3.0.4-6) unstable; urgency=low

  * This patch is from John R. Daily [jdaily@progeny.com].
    Thank you very much. (closes:Bug#119877)
  * Added ia64 to the "Architecture" line in debian/control
    (change arch to any)
  * Critical: Added stdlib.h include to cin2tab.c so that
    realloc(3) returns a valid pointer. Without the function
    prototype, the 64-bit pointer was being truncated to a
    32-bit int, and unlike on alpha, ia64 uses the entire
    64-bit space for pointer values.
  * Added string.h to xl_mfile.c to provide a prototype for
    memcpy(3).
  * Minor: Changed functions passed to qsort to declare const
    arguments, to better comply with qsort's prototype. There
    are still warnings because the parameters are not void *
    in two files.

 -- Yu Guanghui <ygh@debian.org>  Sat, 17 Nov 2001 08:32:49 +0800

unicon (3.0.4-5) unstable; urgency=low

  * Removed IA64 from the support listing. It will be added
    in future if the new versoin supports IA64.

 -- Yu Guanghui <ygh@debian.org>  Wed, 24 Oct 2001 15:33:08 +0800

unicon (3.0.4-4) unstable; urgency=low

  * Fixed a memory leak. Got the patch from www.linuxforum.com.

 -- Yu Guanghui <ygh@debian.org>  Sun, 21 Oct 2001 17:41:11 +0800

unicon (3.0.4-3) unstable; urgency=low

  * Compiled cce module with -fPIC. (closes:Bug#114784)

 -- Yu Guanghui <ygh@debian.org>  Mon,  8 Oct 2001 22:03:54 +0800

unicon (3.0.4-2) unstable; urgency=low

  * Fixed exact match.

 -- Yu Guanghui <ygh@debian.org>  Sun,  7 Oct 2001 21:57:49 +0800

unicon (3.0.4-1) unstable; urgency=low

  * New upstream release
  * Merged with old patches.

 -- Yu Guanghui <ygh@debian.org>  Mon, 17 Sep 2001 20:08:09 +0800

unicon (3.0.3-7) unstable; urgency=low

  * Fixed tab2txt bug. Get from miniChinput-0.0.2-alpha2.

 -- Yu Guanghui <ygh@debian.org>  Wed, 18 Jul 2001 00:12:56 +0800

unicon (3.0.3-6) unstable; urgency=low

  * Fixed the include path, in order to let gcc 3.0 work.
   (closes: Bug#104618, Bug#104759)
  * Need more than 150 mins build time under m68k. (closes: Bug#103802)

 -- Yu Guanghui <ygh@debian.org>  Sat, 14 Jul 2001 10:27:19 +0800

unicon (3.0.3-5) unstable; urgency=low

  * New excat match patch, get from miniChinput.

 -- Yu Guanghui <ygh@debian.org>  Sun,  8 Jul 2001 18:55:02 +0800

unicon (3.0.3-4) unstable; urgency=low

  * Megred with minichinput.

 -- Yu Guanghui <ygh@debian.org>  Fri,  6 Jul 2001 15:44:40 +0800

unicon (3.0.3-3) unstable; urgency=low

  * Merged patch from huyou (www.linuxforum.net). The ZNPY input method
    supports user phrase.

 -- Yu Guanghui <ygh@debian.org>  Thu,  5 Jul 2001 22:54:00 +0800

unicon (3.0.3-2) unstable; urgency=low

  * Apply patch for ZNPY input. If it's an exact match, break out now.
    Thank althea.bbs@bbs.smth.org.

 -- Yu Guanghui <ygh@debian.org>  Fri, 29 Jun 2001 18:19:56 +0800

unicon (3.0.3-1) unstable; urgency=low

  * New upstream release

 -- Yu Guanghui <ygh@debian.org>  Sun, 17 Jun 2001 11:35:33 +0800

unicon (3.0.2-3) unstable; urgency=low

  * Marked conflics with chinput <= 3.0.1-3.
  * Close again.(closes: Bug#99670)

 -- Yu Guanghui <ygh@debian.org>  Thu, 10 May 2001 00:59:30 +0800

unicon (3.0.2-2) unstable; urgency=low

  * Removed cxterm dict build, we don't need it. (closes: Bug#96670)

 -- Yu Guanghui <ygh@debian.org>  Tue,  8 May 2001 00:21:51 +0800

unicon (3.0.2-1) unstable; urgency=low

  * New upstream release

 -- Yu Guanghui <ygh@debian.org>  Wed,  2 May 2001 00:07:39 +0800

unicon (3.0-7) unstable; urgency=low

  * Added Build-Depends: xlibs-dev

 -- Yu Guanghui <ygh@debian.org>  Tue, 13 Mar 2001 21:02:59 +0800

unicon (3.0-6) unstable; urgency=low

  * Fixed alpha build fails. (closes:Bug#87981)
    I Have sended the patch to the upstream author.

 -- Yu Guanghui <ygh@debian.org>  Wed, 28 Feb 2001 23:11:55 +0800

unicon (3.0-5) unstable; urgency=low

  * Added Build-Depends: debhelper,libpth-dev (closes:Bug#87268)

 -- Yu Guanghui <ygh@debian.org>  Sat, 24 Feb 2001 09:13:44 +0800

unicon (3.0-4) unstable; urgency=low

  *Add lintian override file for unicon-im, make lintian happy.

 -- Yu Guanghui <ygh@debian.org>  Tue, 20 Feb 2001 23:04:43 +0800

unicon (3.0-3) unstable; urgency=low

  *Fixed the shared library install: libimm_server.so.0.0 is installed correctly now.
  *Add lost file sys-gb.tab, sys-big5.tab to /usr/lib/unicon
  *Applyed pinyin input method patch from Liang Changtai<linuxrat@gnuchina.org>.

 -- Yu Guanghui <ygh@debian.org>  Mon, 19 Feb 2001 22:25:46 +0800

unicon (3.0-2) unstable; urgency=low

  * add gcc compile flag -fPIC for the shared libraries.

 -- Yu Guanghui <ygh@debian.org>  Sun, 18 Feb 2001 21:21:08 +0800

unicon (3.0-1) unstable; urgency=low

  * Initial Release.

 -- Yu Guanghui <ygh@debian.org>  Thu, 16 Nov 2000 08:48:37 +0800

Local variables:
mode: debian-changelog
End:
